Subject: Re: bug#28661: 25.3; closing fullscreen frame on macOS 10.13 High Sierra causes crash

From: John Mastro <[email-masked]>
Date: Sun, 1 Oct 2017 15:56:31 -0700

Alan Third <[email-masked]> wrote:
> On Sun, Oct 01, 2017 at 08:43:23AM -0700, Kevin Lin wrote:
>> Dear Emacs maintainers,
>>
>> Without any init files, I
>>
>> 1. start up Emacs from the Finder
>>
>> 2. open a second frame
>>
>> 3. make either frame fullscreen (by clicking on the
>>    green button in the title bar or running
>>    TOGGLE-FRAME-FULLSCREEN)
>>
>> 4. close the frame, either by clicking the red button
>>    or running DELETE-FRAME
>>
>> On my machine, this causes Emacs to crash.

[snip]

> Alternatively, is there anyone else out there using 10.13 and a recent
> version of Emacs who can confirm? I’m still on 10.12 and will be for
> the foreseeable future.

I see the crash on 10.13 at commit ee3024c (today)

        John